<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>RequestOtpController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">astrapay-otp</a> &gt; <a href="index.source.html" class="el_package">com.astrapay.otp.controller</a> &gt; <span class="el_source">RequestOtpController.java</span></div><h1>RequestOtpController.java</h1><pre class="source lang-java linenums">package com.astrapay.otp.controller;

import com.astrapay.otp.config.ServiceResponse;
import com.astrapay.otp.domain.request.OtpRequest;
import com.astrapay.otp.domain.request.RequestOtpRequest;
import com.astrapay.otp.domain.request.ValidateOtpRequest;
import com.astrapay.otp.domain.response.RequestOtpResponse;
import com.astrapay.otp.service.RequestOtpService;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

<span class="fc" id="L14">@AllArgsConstructor</span>
@RestController
public class RequestOtpController {

    private final RequestOtpService requestOtpService;

    @PostMapping(&quot;/request&quot;)
    public RequestOtpResponse requestOtp(
            @RequestBody OtpRequest request){
<span class="nc" id="L23">        return requestOtpService.requestOtp(request.getData());</span>
    }

    @PostMapping(&quot;/validation&quot;)
    public ServiceResponse validateOtp(
            @RequestBody OtpRequest request){
<span class="nc" id="L29">        return requestOtpService.validateOtp(request.getData());</span>
    }

    @PostMapping(&quot;/encryptRequest&quot;)
    public String encryptRequest(
            @RequestBody Object request){
<span class="nc" id="L35">        return requestOtpService.encryptRequest(request);</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.5.201910111838</span></div></body></html>